Skip to main content
GET
Get EPCIS event by ID

Authorizations

X-API-Key
string
header
required

Path Parameters

event_id
string
required

UUID of the EPCIS event (the eventID assigned at capture time). Standard 36-char canonical UUIDv4 representation.

Response

OK

200 response body for GET /events (C-6396): a JSON-LD EPCISQueryDocument.

@context
string[]
required

JSON-LD context; the EPCIS 2.0 context.

type
string
required

Always EPCISQueryDocument.

epcisBody
EPCISBodySchema · object
required

Envelope holding queryResults.eventList.

Example: